org.h2.security.auth

## Class AuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.h2.security.auth.AuthenticationException

All Implemented Interfaces:
  java.io.Serializable

    public class AuthenticationException
    extends java.lang.Exception

Exception thrown in case of errors during authentication

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationException()`
`AuthenticationException(java.lang.String message)`
`AuthenticationException(java.lang.String message, java.lang.Throwable cause)`
`AuthenticationException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AuthenticationException

    public AuthenticationException()

#### AuthenticationException

    public AuthenticationException(java.lang.String message)

#### AuthenticationException

    public AuthenticationException(java.lang.Throwable cause)

#### AuthenticationException

    public AuthenticationException(java.lang.String message,
                                   java.lang.Throwable cause)